# keyok 3x

## NAME

           keybound - return definition of keycode

## SYNOPSIS

           #include <curses.h>

           int keybound(int keycode, int count);

## DESCRIPTION

           This is an extension to the curses library.  It permits an
           application to determine the string which  is  defined  in
           the terminfo for specific keycodes.

## RETURN VALUE

           The  keycode  must  be  greater  than  zero,  else NULL is
           returned.  If it does not correspond  to  a  defined  key,
           then  NULL is returned.  Otherwise, the function returns a
           string, which must be freed by the caller.

## PORTABILITY

           These routines are specific to  ncurses.   They  were  not
           supported  on  Version 7, BSD or System V implementations.
           It is recommended that any code depending on them be  con-
           ditioned using NCURSES_VERSION.

## SEE ALSO

           define_key(3x), keyok(3x).

## AUTHOR

           Thomas Dickey.